import java.io.*;
import java.util.*;
import javax.swing.*;

class testFileInput {


	public static void main(String[] args) throws IOException {

		try {
			BufferedReader io = new BufferedReader(new InputStreamReader(System.in));

			System.out.print("Enter file name: ");
			String fileName = io.readLine();
			
			File myFile = new File(fileName);
			FileInputStream fs = new FileInputStream(myFile);	
			BufferedReader input = new BufferedReader(new InputStreamReader(fs));		

			// text read
			String line = input.readLine();

			while (line != null) {
				System.out.print(line + " ");
				line = input.readLine();
			}
			
			input.close();

/*			// integer read
			JFileChooser chooser = new JFileChooser(); 
			FileReader in = null; 
			if (chooser.showOpenDialog(null) == JFileChooser.APPROVE_OPTION) 
			{ 
			 	File selectedFile = chooser.getSelectedFile(); 
			 	in = new FileReader(selectedFile); 
				BufferedReader input = new BufferedReader(in);		
			
			
				String line;
				int sum = 0, count = 0;

				while ((line = input.readLine()) != null) {
					StringTokenizer strk = new StringTokenizer(line);
					while (strk.hasMoreTokens()) {
						sum += Integer.parseInt(strk.nextToken());
						count++;
					}
					
					
				}

				System.out.print("Average: " + (double)sum / count);
				
				input.close();
			}

			// doubles read

			JFileChooser chooser = new JFileChooser(); 
			FileReader in = null; 
			if (chooser.showOpenDialog(null) == JFileChooser.APPROVE_OPTION) 
			{ 
			 	File selectedFile = chooser.getSelectedFile(); 
			 	in = new FileReader(selectedFile); 
				BufferedReader input = new BufferedReader(in);		
			
			

				String line;
				double sum = 0;
				int count = 0;

				while ((line = input.readLine()) != null) {
					StringTokenizer strk = new StringTokenizer(line);
					while (strk.hasMoreTokens()) {
						sum += Double.parseDouble(strk.nextToken());
						count++;
					}
					
					
				}

				System.out.print("Average: " + sum / count);
				
				input.close();
			}

*/			
			System.out.println();
			System.out.println("Done...");
			
//			
			
		}  catch (IOException e) {
			System.err.println("Houston, we have a problem..." + e);
		}

		System.exit(0);

	}
}