/**
*	file: StairClimber.java
*
*	A Robot that knows how to climb stairs on one-block height and one block width
*
*	@author Don Slater
*	@date 1/8/2003
*
*/


package kareltherobot;

class StairClimber extends Robot {

	/**
	*	constructor
	*/
	public StairClimber(int st, int ave, Directions.Direction dir, int count) {
		
		super(st, ave, dir, count);
	}

	// other methods
	
	/**
	*	rotates a robot 90 degrees clockwise from the direction it is currently facing
	*/
	public void turnRight() {
		turnLeft();
		turnLeft();
		turnLeft();
	}
	
	/**
	*	simulates climbing a stair by moving one block "up" from its current position,
	*	and one block "forward" of its current position. The robot will be facing the 
	*	same direction after completing the instruction.
	*/
	public void climbStair() {
		turnLeft();
		move();
		turnRight();
		move();
	}
}