/**
	RecursionDemo.java
	
	To accompany lecture on Recursion
	Recursive methods that recursively manipulate integers
	  and Strings
	  
	@author D. Slater & L. Baumeister
	@Date 3/21/02

*/


public class RecurseDemo {

	
	// Recursion on integers
	public void countdown (int n)
		
	{
		if (n > 0){
			System.out.println(n +  "  ");
			countdown (n - 1);
		}
	}


	// Countdown 2: variation on first countdown
	public void countdown2(int n)
		
	{
		if (n > 0){
			countdown2(n - 1);
			System.out.println(n + "  ");
		}
	}

	
	// Recursion on a String demo
	public void split(String str) {
		if (str.equals("")) {
			System.out.println();
		} else {
			System.out.print(str.charAt(0) + " ");
			split (str.substring(1));
		}
	}
	
	
	// building a String demo
	public String reverse(String str) {
		if (str.equals(""))
			return "";
		else
			return reverse(str.substring(1)) + str.charAt(0);
	}

}
