//
//  Application.java
//  RandomWalk
//
//  Created by Don Slater on Sat Dec 14 2002.
//  Copyright (c) 2002 __Carnegie Mellon University__. All rights reserved.
//

package kareltherobot;

public class Application implements Directions {
   
	public static void main(String args[]) {

		int str = 10;
		int ave = 11;

		Walker rob = new Walker(str, ave, East, 1);

		rob.putBeeper();

		while (! rob.isFinished()) {

			rob.takeOneStep();
		}		

		System.out.println(rob);
		System.out.println("Distance from starting point: " + rob.getDistance());
		System.out.println("Number of steps taken: " + rob.getNumSteps());
		System.out.println();
		rob.turnOff();
	}

	static  {
//   uncomment the following line for HW 7	
//		World.readWorld("smallBeeperBox.txt");
		World.setSize(20, 20);
		World.setTrace(false);
		World.setVisible(true);
		World.setDelay(10);
	}

}
